class Loot < ApplicationRecord
  belongs_to :player

  def player_name_with_alt
    if self.player.alt?
      "#{self.player.name} (alt of #{self.player.main_player.name})"
    else
      self.player.name
    end
  end

  def wowhead
    "https://wowhead.com/item=#{self.item_id}"
  end

  def roll_type_pretty
    case self.roll_type
    when "mainspec"
      "Main Spec"
    when "offspec"
      "Offspec"
    when "minor"
      "Minor Upgrade"
    when "transmog"
      "Transmog"
    else
      "Unknown"
    end
  end

  def date
    self.timestamp&.strftime("%m/%d/%Y")
  end
end